## jpegparse jpegparse — JPEG parser |

## Synopsis

                        GstJpegParse;

                        GstJpegParseClass;
    #define             GST_JPEG_PARSE                      (obj)
    #define             GST_JPEG_PARSE_CLASS                (klass)
    #define             GST_IS_JPEG_PARSE                   (obj)
    #define             GST_IS_JPEG_PARSE_CLASS             (klass)
    #define             GST_TYPE_JPEG_PARSE
    GType               gst_jpeg_parse_get_type             (void);

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstJpegParse

## Description

Parses a JPEG stream into JPEG images. It looks for EOI boundaries to split a continuous stream into single-frame buffers. Also reads the image header searching for image properties such as width and height among others. Jpegparse can also extract metadata (e.g. xmp).

### Example launch line

    1
    gst-launch -v souphttpsrc location=... ! jpegparse ! matroskamux ! filesink location=...

The above pipeline fetches a motion JPEG stream from an IP camera over HTTP and stores it in a matroska file.

## Details

### GstJpegParse

    typedef struct _GstJpegParse GstJpegParse;

### GstJpegParseClass

    typedef struct {
      GstElementClass  parent_class;
    } GstJpegParseClass;

### GST_JPEG_PARSE()

    #define             GST_JPEG_PARSE(obj)

`obj` : |

### GST_JPEG_PARSE_CLASS()

    #define             GST_JPEG_PARSE_CLASS(klass)

`klass` : |

### GST_IS_JPEG_PARSE()

    #define             GST_IS_JPEG_PARSE(obj)

`obj` : |

### GST_IS_JPEG_PARSE_CLASS()

    #define             GST_IS_JPEG_PARSE_CLASS(klass)

`klass` : |

### GST_TYPE_JPEG_PARSE

    #define             GST_TYPE_JPEG_PARSE

### gst_jpeg_parse_get_type ()

    GType               gst_jpeg_parse_get_type             (void);

Returns : |